% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cohort_methods.R, R/source_methods.R
\name{update_filter}
\alias{update_filter}
\alias{update_filter.Cohort}
\alias{update_filter.Source}
\title{Update filter definition}
\usage{
update_filter(x, step_id, filter_id, ...)

\method{update_filter}{Cohort}(x, step_id, filter_id, ..., run_flow = FALSE)

\method{update_filter}{Source}(x, step_id, filter_id, ...)
}
\arguments{
\item{x}{An object in which the filter should be updated.}

\item{step_id}{Id of the step where filter is defined.}

\item{filter_id}{Id of the filter to be updated.}

\item{...}{Filter parameters that should be updated.}

\item{run_flow}{If `TRUE`, data flow is run after the filter is updated.}
}
\value{
Method dependent object (i.e. `Cohort` or `Source`) having selected filter updated.
}
\description{
Update filter definition
}
\seealso{
\link{managing-cohort}, \link{managing-source}
}
